# MoCSettlementMock

View Source: [contracts/mocks/MoCSettlementMock.sol](https://github.com/money-on-chain/main-RBTC-contract/blob/master-gitbook/contracts/mocks/MoCSettlementMock.sol)

**↗ Extends:** [**MoCSettlement**](/main-rbtc-contract/smart-contracts/abis-documentation/mocsettlement.md)

**MoCSettlementMock** - version: 0.1.12

## Contract Members

**Constants & Variables**

```js
uint256 internal constant STEPS;
```

***

## Functions

* [()](#mocsettlementmocksol)
* [()](#mocsettlementmocksol)
* [pubRunDeleveraging()](#pubrundeleveraging)
* [pubRunRedeemDoc()](#pubrunredeemdoc)
* [setBlockSpan(uint256 \_blockSpan)](#setblockspan)
* [docRedemptionStepCountForTest()](#docredemptionstepcountfortest)

###

Constructor

```js
function () public nonpayable MoCSettlement 
```

**Arguments**

###

```js
function () external nonpayable
```

**Arguments**

### pubRunDeleveraging

```js
function pubRunDeleveraging() public nonpayable
```

**Arguments**

### pubRunRedeemDoc

```js
function pubRunRedeemDoc() public nonpayable
returns(uint256)
```

**Arguments**

### setBlockSpan

⤾ overrides \[?]

Sets the number of blocks settlement will be allowed to run

```js
function setBlockSpan(uint256 _blockSpan) public nonpayable
```

**Arguments**

| Name        | Type    | Description      |
| ----------- | ------- | ---------------- |
| \_blockSpan | uint256 | number of blocks |

### docRedemptionStepCountForTest

Returns the amount of steps for the Doc Redemption task which is the amount of redeem requests in the queue. (Used in tests only)

```js
function docRedemptionStepCountForTest() public view
returns(uint256)
```

**Arguments**


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.moneyonchain.com/main-rbtc-contract/smart-contracts/abis-documentation/mocsettlementmock.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
